MQVParameterSpec (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.spec

## Class MQVParameterSpec

- java.lang.Object
- - org.bouncycastle.jcajce.spec.MQVParameterSpec

- All Implemented Interfaces:
    java.security.spec.AlgorithmParameterSpec

      public class MQVParameterSpec
      extends java.lang.Object
      implements java.security.spec.AlgorithmParameterSpec

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MQVParameterSpec(java.security.KeyPair ephemeralKeyPair, java.security.PublicKey otherPartyEphemeralKey)`
    `MQVParameterSpec(java.security.KeyPair ephemeralKeyPair, java.security.PublicKey otherPartyEphemeralKey, byte[] userKeyingMaterial)`
    `MQVParameterSpec(java.security.PrivateKey ephemeralPrivateKey, java.security.PublicKey otherPartyEphemeralKey)`
    `MQVParameterSpec(java.security.PrivateKey ephemeralPrivateKey, java.security.PublicKey otherPartyEphemeralKey, byte[] userKeyingMaterial)`
    `MQVParameterSpec(java.security.PublicKey ephemeralPublicKey, java.security.PrivateKey ephemeralPrivateKey, java.security.PublicKey otherPartyEphemeralKey)`
    `MQVParameterSpec(java.security.PublicKey ephemeralPublicKey, java.security.PrivateKey ephemeralPrivateKey, java.security.PublicKey otherPartyEphemeralKey, byte[] userKeyingMaterial)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.PrivateKey` | `getEphemeralPrivateKey()`
    `java.security.PublicKey` | `getEphemeralPublicKey()`
    `java.security.PublicKey` | `getOtherPartyEphemeralKey()`
    `byte[]` | `getUserKeyingMaterial()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MQVParameterSpec

          public MQVParameterSpec(java.security.PublicKey ephemeralPublicKey,
                          java.security.PrivateKey ephemeralPrivateKey,
                          java.security.PublicKey otherPartyEphemeralKey,
                          byte[] userKeyingMaterial)

    - #### MQVParameterSpec

          public MQVParameterSpec(java.security.PublicKey ephemeralPublicKey,
                          java.security.PrivateKey ephemeralPrivateKey,
                          java.security.PublicKey otherPartyEphemeralKey)

    - #### MQVParameterSpec

          public MQVParameterSpec(java.security.KeyPair ephemeralKeyPair,
                          java.security.PublicKey otherPartyEphemeralKey,
                          byte[] userKeyingMaterial)

    - #### MQVParameterSpec

          public MQVParameterSpec(java.security.PrivateKey ephemeralPrivateKey,
                          java.security.PublicKey otherPartyEphemeralKey,
                          byte[] userKeyingMaterial)

    - #### MQVParameterSpec

          public MQVParameterSpec(java.security.KeyPair ephemeralKeyPair,
                          java.security.PublicKey otherPartyEphemeralKey)

    - #### MQVParameterSpec

          public MQVParameterSpec(java.security.PrivateKey ephemeralPrivateKey,
                          java.security.PublicKey otherPartyEphemeralKey)

  - ### Method Detail

    - #### getEphemeralPrivateKey

          public java.security.PrivateKey getEphemeralPrivateKey()

    - #### getEphemeralPublicKey

          public java.security.PublicKey getEphemeralPublicKey()

    - #### getOtherPartyEphemeralKey

          public java.security.PublicKey getOtherPartyEphemeralKey()

    - #### getUserKeyingMaterial

          public byte[] getUserKeyingMaterial()